- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CModulatedXYPad Class Reference

Inheritance diagram for Exponent::GUI::Controls::CModulatedXYPad:

List of all members.

## Detailed Description

An xy controller that also display the modulation position.

Date:
  13/06/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CModulatedXYPad.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CModulatedXYPad.hpp.

## Public Member Functions

- CModulatedXYPad (IControlRoot *root, const long uniqueId, const CRect &area, IActionListener *listener=NULL)
- virtual void drawControl (CGraphics &graphics)
- virtual void setModulationHandle (IImage *theHandle)
- virtual void setModulationPosition (const double xValue, const double yValue)
- virtual void setXValue (const double xValue)
- virtual void setYValue (const double yValue)
- virtual ~CModulatedXYPad ()

## Protected Attributes

- IImage * m_modulationHandle
- CRect m_modulationHandlePosition

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CModulatedXYPad::CModulatedXYPad | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | IActionListener * | listener = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left
  | listener | The action listener

virtual Exponent::GUI::Controls::CModulatedXYPad::~CModulatedXYPad | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CModulatedXYPad::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the control

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CXYPad.

virtual void Exponent::GUI::Controls::CModulatedXYPad::setModulationHandle | ( | IImage * | theHandle | ) | `[inline, virtual]`

Set hte modulation handle

Parameters:

  | theHandle | The image to use for the modulation position

Definition at line 77 of file CModulatedXYPad.hpp.

References EXCHANGE_COUNTED_OBJECTS, and m_modulationHandle.

virtual void Exponent::GUI::Controls::CModulatedXYPad::setModulationPosition | ( | const double | xValue,
|  | const double | yValue |
| ) |  |  | `[virtual]`

Set the modulation position

Parameters:

  | xValue | The modulation x position (0-1 range)
  | yValue | The modulation y position (0-1 range)

virtual void Exponent::GUI::Controls::CModulatedXYPad::setXValue | ( | const double | xValue | ) | `[virtual]`

Set the x value

Parameters:

  | xValue | The x position

Reimplemented from Exponent::GUI::Controls::CXYPad.

virtual void Exponent::GUI::Controls::CModulatedXYPad::setYValue | ( | const double | yValue | ) | `[virtual]`

Set the y value

Parameters:

  | yValue | The y position

Reimplemented from Exponent::GUI::Controls::CXYPad.

## Member Data Documentation

IImage* Exponent::GUI::Controls::CModulatedXYPad::m_modulationHandle`[protected]`

THe modulation handle

Definition at line 99 of file CModulatedXYPad.hpp.

Referenced by setModulationHandle().

CRect Exponent::GUI::Controls::CModulatedXYPad::m_modulationHandlePosition`[protected]`

Position of the handle

Definition at line 98 of file CModulatedXYPad.hpp.